Summary:	Gltron, a 3d lightcycle game using OpenGL
Name:		gltron
Version:	0.70
Release:	%mkrel 23
License:	GPLv2
Group:		Games/Arcade
Url:		http://gltron.sourceforge.net
Source:		gltron-%{version}.tar.bz2
Source1:	gltron-xpm.tar.bz2
Patch0:		gltron-0.70-gcc4.patch
Patch1:		gltron-0.70-sys-cflags.patch
Patch2:		gltron-0.70-link.patch
Patch3:		gltron-0.70-link2.patch
Patch4:		gltron-0.70-link3.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	SDL_sound-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	mesagl-devel
BuildRequires:	smpeg-devel

%description
A very nice Tron game using OpenGL.

%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p0 -b .cflags
%patch2 -p0 -b .link
%patch3 -p0 -b .link2
# gcc 7 emits delete() calls...
%patch4 -p1 -b .link3

%build
touch AUTHORS NEWS
autoreconf -fi
%configure --bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} --disable-warn \
	--disable-sdltest
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
tar xfj %{SOURCE1}
install -m0644 gltron-16.png %{buildroot}%{_miconsdir}/gltron.png
install -m0644 gltron-32.png %{buildroot}%{_iconsdir}/gltron.png
install -m0644 gltron-48.png %{buildroot}%{_liconsdir}/gltron.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Gltron
Comment=3d lightcycle game
Exec=%{_gamesbindir}/gltron
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

%files
%doc ChangeLog README
%{_gamesbindir}/gltron
%dir %{_gamesdatadir}/gltron/
%{_gamesdatadir}/gltron/art
%{_gamesdatadir}/gltron/data
%{_gamesdatadir}/gltron/music
%{_gamesdatadir}/gltron/scripts
%{_miconsdir}/gltron.png
%{_iconsdir}/gltron.png
%{_liconsdir}/gltron.png
%{_datadir}/applications/mageia-%{name}.desktop


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.70-23.mga8
+ Revision: 1512518
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.70-22.mga7
+ Revision: 1297919
- Mageia 7 Mass Rebuild

* Sat Sep 30 2017 cjw <cjw> 0.70-21.mga7
+ Revision: 1161994
- patch4: fix build with gcc 7

* Fri Oct 14 2016 daviddavid <daviddavid> 0.70-20.mga6
+ Revision: 1060694
- fix desktop file Categories (mga#2449)

* Mon Feb 08 2016 umeabot <umeabot> 0.70-19.mga6
+ Revision: 945572
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70-18.mga5
+ Revision: 746460
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70-17.mga5
+ Revision: 679662
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.70-16.mga4
+ Revision: 526143
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.70-15.mga4
+ Revision: 435943
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 0.70-14.mga3
+ Revision: 351840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 luigiwalser <luigiwalser> 0.70-13.mga2
+ Revision: 205031
- try a patch to fix linking problem
- fix linking
- fix license
- clean spec
- imported package gltron


* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 0.70-13mdv2011.0
+ Revision: 635864
- tighten BR
- use system cflags

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.70-12mdv2011.0
+ Revision: 618964
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.70-11mdv2010.0
+ Revision: 429215
- rebuild

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 0.70-10mdv2009.0
+ Revision: 271847
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.70-9mdv2009.0
+ Revision: 246222
- rebuild
- fix mesaglu-devel BR

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.70-7mdv2008.1
+ Revision: 136445
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Wed Mar 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.70-7mdv2007.1
+ Revision: 143578
- Fix XDG menu

* Sun Nov 12 2006 Pascal Terjan <pterjan@mandriva.org> 0.70-6mdv2007.1
+ Revision: 83276
- Fix BuildRequires
- Import gltron

* Fri Mar 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.70-5mdk
- Rebuild, add some buildrequires

* Thu Sep 22 2005 Götz Waschk <waschk@mandriva.org> 0.70-4mdk
- fix build

* Sun Aug 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.70-3mdk
- Rebuild for new menu

* Sat Jul 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.70-2mdk
- Rebuild

